> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1cmsmessagestore



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Cms//swagger/v1/swagger.json post /api/v1/cms/message/store
openapi: 3.0.0
info:
  title: NDS.Services.Cms
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Cms/
security: []
paths:
  /api/v1/cms/message/store:
    post:
      tags:
        - Message
      operationId: Message_StoreMessage
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreMessageRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreMessageResult'
components:
  schemas:
    StoreMessageRequest:
      type: object
      additionalProperties: false
      properties:
        Message:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageEx'
    StoreMessageResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            MessageId:
              type: string
              nullable: true
    MessageEx:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
          properties:
            Data:
              type: string
              format: byte
              nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Message:
      type: object
      additionalProperties: false
      required:
        - Name
        - TemplateId
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 256
          minLength: 1
        StartDate:
          type: string
          format: date-time
        EndDate:
          type: string
          format: date-time
          nullable: true
        Destinations:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        OccurenceCount:
          type: integer
          format: int32
          nullable: true
        Occurrence:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Occurrence'
        Days:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Days'
        InternalInterval:
          type: integer
          format: int32
          nullable: true
        InternalNumber:
          type: integer
          format: int32
          nullable: true
        InternalPattern:
          type: integer
          format: int32
          nullable: true
        TemplateId:
          type: string
          minLength: 1
        Weight:
          type: integer
          format: int32
        TemplateWeight:
          type: integer
          format: int32
          nullable: true
        Invisible:
          type: boolean
          nullable: true
        Description:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        DisabledByTemplate:
          type: boolean
        Permissions:
          type: string
          nullable: true
        Deleted:
          type: string
          format: date-time
          nullable: true
        Metadata:
          nullable: true
        Priority:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Occurrence:
      type: object
      additionalProperties: false
      properties:
        StartTime:
          type: string
          format: duration
        EndTime:
          type: string
          format: duration
          nullable: true
        RecurrenceType:
          $ref: '#/components/schemas/RecurrenceType'
        Interval:
          type: string
          format: duration
          nullable: true
        Duration:
          type: string
          format: duration
          nullable: true
        RecurrenceExceptions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/RecurrenceException'
    Days:
      type: object
      additionalProperties: false
      properties:
        Monday:
          type: boolean
        Tuesday:
          type: boolean
        Wednesday:
          type: boolean
        Thursday:
          type: boolean
        Friday:
          type: boolean
        Saturday:
          type: boolean
        Sunday:
          type: boolean
    RecurrenceType:
      type: string
      description: ''
      x-enumNames:
        - Daily
        - DailyWorkDays
        - Weekly
        - Monthly
        - MonthlyRelative
        - Yearly
        - YearlyRelative
      enum:
        - Daily
        - DailyWorkDays
        - Weekly
        - Monthly
        - MonthlyRelative
        - Yearly
        - YearlyRelative
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        PeriodId:
          type: string
          format: guid
        OldStartDateTime:
          type: string
          format: date-time
        NewStartDateTime:
          type: string
          format: date-time
          nullable: true
        NewEndDateTime:
          type: string
          format: date-time
          nullable: true

````